Skip to content

GET /api/v3/digital-boards/{lcuid}/key-value-stores/{dataSourceId}

Summary

GET digital-boards/{id}/key-value-stores/{dataSourceId}

Description

Return all key/value records for this board, scoped to the feed's account.

Tags: digital-boards

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • key_value_stores (array): The feed's key/value records for this board.
  • Array items: object Type: object

    Properties:

    • parent_type (string)
    • object_type (string)
    • key_name (string)
    • key (string)
    • value (string)
    • created_at (string)
    • updated_at (string)
    • macro (string)
Example Response
{
    "success": true,
    "key_value_stores": [
        {
            "parent_type": "App\\Account",
            "object_type": "App\\DigitalBoard",
            "key_name": "Test Key",
            "key": "test_key",
            "value": "first",
            "created_at": "2026-10-09T15:53:26.000000Z",
            "updated_at": "2026-10-09T15:53:26.000000Z",
            "macro": "digital_board.store.test_key"
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
  --url "https://api.lucit.app/api/v3/digital-boards/{lcuid}/key-value-stores/{dataSourceId}" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/digital-boards/{lcuid}/key-value-stores/{dataSourceId}";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "GET",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.lucit.app/api/v3/digital-boards/{lcuid}/key-value-stores/{dataSourceId}', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/digital-boards/{lcuid}/key-value-stores/{dataSourceId}"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.get(url, headers=headers)
print(response.json())

← Back to digital-boards index | Back to main index